SbIntList(3)

NAME
SbIntList - The SbIntList class is a container for integer numbers.

SYNOPSIS

#include <Inventor/lists/SbIntList.h>

Inherits SbPList.

  Public Member Functions
SbIntList (void)
SbIntList (const int sizehint)
void append (const int item)
int find (const int item)
void insert (const int item, const int addbefore)
int & operator[] (const int idx) const

  Additional Inherited Members

Detailed Description

The SbIntList class is a container for integer numbers.

See also
    SbList

Constructor & Destructor Documentation

  SbIntList::SbIntList (void) [inline]
Default constructor.

  SbIntList::SbIntList (const int sizehint) [inline]
This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also
    SbList::SbList(const int sizehint)

Member Function Documentation

  void SbIntList::append (const int item) [inline]
Overridden from parent to accept an integer argument.

  int SbIntList::find (const int item) [inline]
Overridden from parent to accept an integer argument.

  void SbIntList::insert (const int item, const int addbefore) [inline]
Overridden from parent to accept an integer argument.

  int & SbIntList::operator[] (const int idx) const [inline]
Overridden from parent to return an integer.

Author

Generated automatically by Doxygen for Coin from the source code.